package com.repair.model.vo;

import com.repair.model.enumModel.eRecordStatu;
import lombok.Data;

import java.util.Date;

@Data
public class TrackDetailsVo {
    /**
     * 数据ID
     */
    private int id;

    /**
     * 维修单状态ID
     */
    private Integer maintenanceState;

    /**
     * 维修状态
     */
    private String state;

    public String getState() {
        return maintenanceState == eRecordStatu.ToLogistics.getValue() ? "待确认" : state;
    }

    public void setState(String state) {
        this.state = state;
    }

    /**
     * 跟踪内容
     */
    private String content;

    public String getContent() {
        return maintenanceState == eRecordStatu.ToLogistics.getValue() ? state : content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    /**
     * 跟踪时间
     */
    private Date createTime;
}
